{
"AuthorId": "204068024",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 5000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"CreditedWalletId": "204089031",
"StatementDescriptor": "Mangopay",
"Tag": "Created using the Mangopay API Postman collection",
"Phone": "33#652317567"
}
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.core.Money;
import com.mangopay.core.enumerations.CurrencyIso;
import com.mangopay.core.enumerations.PayInExecutionType;
import com.mangopay.core.enumerations.PayInPaymentType;
import com.mangopay.entities.PayIn;
import com.mangopay.entities.subentities.PayInPaymentDetailsMbway;
public class CreateMBWayPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var userId = "user_m_01HT2NFK7Z2BRQNGNHMY30VVTT";
var walletId = "wlt_m_01HTHTXEF4BJCTKMXNWMSZ6KP5";
PayIn mbWayPayin = new PayIn();
mbWayPayin.setPaymentType(PayInPaymentType.MBWAY);
mbWayPayin.setExecutionType(PayInExecutionType.WEB);
mbWayPayin.setAuthorId(userId);
mbWayPayin.setCreditedWalletId(walletId);
mbWayPayin.setDebitedFunds(new Money(CurrencyIso.EUR, 1000));
mbWayPayin.setFees(new Money(CurrencyIso.EUR, 0));
mbWayPayin.setTag("Created using the Mangopay Java SDK");
PayInPaymentDetailsMbway paymentDetails = new PayInPaymentDetailsMbway();
paymentDetails.setStatementDescriptor("Jul2024");
paymentDetails.setPhone("33#652317567");
mbWayPayin.setPaymentDetails(paymentDetails);
PayIn createMbWayPayin = mangopay.getPayInApi().create(mbWayPayin);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(createMbWayPayin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import NaturalUser, MbwayPayIn
from mangopay.utils import Money
natural_user = NaturalUser.get('210513027')
mbway_payin = MbwayPayIn(
author_id = natural_user.id,
credited_wallet_id = '210514820',
debited_funds = Money(amount=5000, currency='EUR'),
fees = Money(amount=0, currency='EUR'),
return_url = 'https://www.mangopay.com/docs/please-ignore',
statement_descriptor = 'MGP',
tag = 'Created using Mangopay Python SDK',
phone = '33#654417453'
)
create_mbway_payin = mbway_payin.save()
pprint(create_mbway_payin)
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN";
var walletId = "wlt_m_01J30991BXBB7VF28PBS82EWD3";
var payIn = new PayInMbwayWebPostDTO(userId,
new Money { Amount = 3000, Currency = CurrencyIso.EUR },
new Money { Amount = 0, Currency = CurrencyIso.EUR },
walletId,
"351#269458236",
"MGP",
"Created using the Mangopay .NET SDK");
var createMbWayPayIn = await api.PayIns.CreateMbwayWebAsync(payIn);
string prettyPrint = JsonConvert.SerializeObject(createMbWayPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "wt_9fb9e538-7a0b-417e-af6e-196d2a7ffb5b",
"Tag": "Created using the Mangopay API Postman collection",
"CreationDate": 1696930998,
"AuthorId": "204068024",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 5000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 5000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "CREATED",
"ResultCode": null,
"ResultMessage": null,
"ExecutionDate": null,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "204089031",
"CreditedUserId": "204068024",
"PaymentType": "MBWAY",
"ExecutionType": "WEB",
"StatementDescriptor": "Mangopay",
"Phone": "33#652317567"
}
MB WAY
Create an MB WAY PayIn
POST
/
v2.01
/
{ClientId}
/
payins
/
payment-methods
/
mbway
{
"AuthorId": "204068024",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 5000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"CreditedWalletId": "204089031",
"StatementDescriptor": "Mangopay",
"Tag": "Created using the Mangopay API Postman collection",
"Phone": "33#652317567"
}
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.core.Money;
import com.mangopay.core.enumerations.CurrencyIso;
import com.mangopay.core.enumerations.PayInExecutionType;
import com.mangopay.core.enumerations.PayInPaymentType;
import com.mangopay.entities.PayIn;
import com.mangopay.entities.subentities.PayInPaymentDetailsMbway;
public class CreateMBWayPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var userId = "user_m_01HT2NFK7Z2BRQNGNHMY30VVTT";
var walletId = "wlt_m_01HTHTXEF4BJCTKMXNWMSZ6KP5";
PayIn mbWayPayin = new PayIn();
mbWayPayin.setPaymentType(PayInPaymentType.MBWAY);
mbWayPayin.setExecutionType(PayInExecutionType.WEB);
mbWayPayin.setAuthorId(userId);
mbWayPayin.setCreditedWalletId(walletId);
mbWayPayin.setDebitedFunds(new Money(CurrencyIso.EUR, 1000));
mbWayPayin.setFees(new Money(CurrencyIso.EUR, 0));
mbWayPayin.setTag("Created using the Mangopay Java SDK");
PayInPaymentDetailsMbway paymentDetails = new PayInPaymentDetailsMbway();
paymentDetails.setStatementDescriptor("Jul2024");
paymentDetails.setPhone("33#652317567");
mbWayPayin.setPaymentDetails(paymentDetails);
PayIn createMbWayPayin = mangopay.getPayInApi().create(mbWayPayin);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(createMbWayPayin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import NaturalUser, MbwayPayIn
from mangopay.utils import Money
natural_user = NaturalUser.get('210513027')
mbway_payin = MbwayPayIn(
author_id = natural_user.id,
credited_wallet_id = '210514820',
debited_funds = Money(amount=5000, currency='EUR'),
fees = Money(amount=0, currency='EUR'),
return_url = 'https://www.mangopay.com/docs/please-ignore',
statement_descriptor = 'MGP',
tag = 'Created using Mangopay Python SDK',
phone = '33#654417453'
)
create_mbway_payin = mbway_payin.save()
pprint(create_mbway_payin)
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN";
var walletId = "wlt_m_01J30991BXBB7VF28PBS82EWD3";
var payIn = new PayInMbwayWebPostDTO(userId,
new Money { Amount = 3000, Currency = CurrencyIso.EUR },
new Money { Amount = 0, Currency = CurrencyIso.EUR },
walletId,
"351#269458236",
"MGP",
"Created using the Mangopay .NET SDK");
var createMbWayPayIn = await api.PayIns.CreateMbwayWebAsync(payIn);
string prettyPrint = JsonConvert.SerializeObject(createMbWayPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "wt_9fb9e538-7a0b-417e-af6e-196d2a7ffb5b",
"Tag": "Created using the Mangopay API Postman collection",
"CreationDate": 1696930998,
"AuthorId": "204068024",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 5000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 5000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "CREATED",
"ResultCode": null,
"ResultMessage": null,
"ExecutionDate": null,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "204089031",
"CreditedUserId": "204068024",
"PaymentType": "MBWAY",
"ExecutionType": "WEB",
"StatementDescriptor": "Mangopay",
"Phone": "33#652317567"
}
Note – Timeout after 4 minutesThe payment session lasts for 4 minutes, at which point the pay-in fails automatically if no action has been taken by the user.
Caution – No phone number validationIf the phone number provided is of an accepted format but not valid or not attributed to the corresponding MB WAY user, then the pay-in is created but will fail because the user will not receive a push notification from the MB WAY app.
Body parameters
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
string
required
The unique identifier of the user at the source of the transaction.
object
required
Information about the debited funds.
Show properties
Show properties
string
required
Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
required
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
required
Information about the fees.
Show properties
Show properties
string
required
Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
required
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
required
The unique identifier of the credited wallet.
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
string
required
Format: Country code without plus symbol, followed by hash symbol (#), followed by the number; only numeric characters and hash symbolThe phone number of the end user to which the MB WAY push notification is sent to authenticate the transaction.
string
The unique reference generated for the profiling session, used by the fraud prevention solution to produce recommendations for the transaction using the profiling data.Note: Parameter not returned by the API. Profiling feature available on request – contact Mangopay via the Dashboard for more information.
Responses
200 - Created
200 - Created
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction.
object
Information about the debited funds.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the fees.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
string
Returned values:
MBWAYThe type of pay-in.string
Returned values:
WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
string
Format: Country code without plus symbol, followed by hash symbol (#), followed by the number; only numeric characters and hash symbolThe phone number of the end user to which the MB WAY push notification is sent to authenticate the transaction.
400 - Phone format not accepted
400 - Phone format not accepted
{
"message": "One or several required parameters are missing or incorrect. An incorrect resource ID also raises this kind of error.",
"id": "401918a7-aab9-4b55-b09d-45007b96523d",
"date": 1696931925,
"type": "param_error",
"errors": {
"phone": "The field must match the regular expression '^\\d{1,5}#\\d{4,11}$'."
}
}
{
"Id": "wt_9fb9e538-7a0b-417e-af6e-196d2a7ffb5b",
"Tag": "Created using the Mangopay API Postman collection",
"CreationDate": 1696930998,
"AuthorId": "204068024",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 5000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 5000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "CREATED",
"ResultCode": null,
"ResultMessage": null,
"ExecutionDate": null,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "204089031",
"CreditedUserId": "204068024",
"PaymentType": "MBWAY",
"ExecutionType": "WEB",
"StatementDescriptor": "Mangopay",
"Phone": "33#652317567"
}
{
"AuthorId": "204068024",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 5000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"CreditedWalletId": "204089031",
"StatementDescriptor": "Mangopay",
"Tag": "Created using the Mangopay API Postman collection",
"Phone": "33#652317567"
}
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.core.Money;
import com.mangopay.core.enumerations.CurrencyIso;
import com.mangopay.core.enumerations.PayInExecutionType;
import com.mangopay.core.enumerations.PayInPaymentType;
import com.mangopay.entities.PayIn;
import com.mangopay.entities.subentities.PayInPaymentDetailsMbway;
public class CreateMBWayPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var userId = "user_m_01HT2NFK7Z2BRQNGNHMY30VVTT";
var walletId = "wlt_m_01HTHTXEF4BJCTKMXNWMSZ6KP5";
PayIn mbWayPayin = new PayIn();
mbWayPayin.setPaymentType(PayInPaymentType.MBWAY);
mbWayPayin.setExecutionType(PayInExecutionType.WEB);
mbWayPayin.setAuthorId(userId);
mbWayPayin.setCreditedWalletId(walletId);
mbWayPayin.setDebitedFunds(new Money(CurrencyIso.EUR, 1000));
mbWayPayin.setFees(new Money(CurrencyIso.EUR, 0));
mbWayPayin.setTag("Created using the Mangopay Java SDK");
PayInPaymentDetailsMbway paymentDetails = new PayInPaymentDetailsMbway();
paymentDetails.setStatementDescriptor("Jul2024");
paymentDetails.setPhone("33#652317567");
mbWayPayin.setPaymentDetails(paymentDetails);
PayIn createMbWayPayin = mangopay.getPayInApi().create(mbWayPayin);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(createMbWayPayin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import NaturalUser, MbwayPayIn
from mangopay.utils import Money
natural_user = NaturalUser.get('210513027')
mbway_payin = MbwayPayIn(
author_id = natural_user.id,
credited_wallet_id = '210514820',
debited_funds = Money(amount=5000, currency='EUR'),
fees = Money(amount=0, currency='EUR'),
return_url = 'https://www.mangopay.com/docs/please-ignore',
statement_descriptor = 'MGP',
tag = 'Created using Mangopay Python SDK',
phone = '33#654417453'
)
create_mbway_payin = mbway_payin.save()
pprint(create_mbway_payin)
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN";
var walletId = "wlt_m_01J30991BXBB7VF28PBS82EWD3";
var payIn = new PayInMbwayWebPostDTO(userId,
new Money { Amount = 3000, Currency = CurrencyIso.EUR },
new Money { Amount = 0, Currency = CurrencyIso.EUR },
walletId,
"351#269458236",
"MGP",
"Created using the Mangopay .NET SDK");
var createMbWayPayIn = await api.PayIns.CreateMbwayWebAsync(payIn);
string prettyPrint = JsonConvert.SerializeObject(createMbWayPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?